# -*- encoding: utf-8 -*-
# stub: rack-read_only 2.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "rack-read_only".freeze
  s.version = "2.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jon Wood".freeze]
  s.bindir = "exe".freeze
  s.date = "2019-09-24"
  s.description = "# Rack::ReadOnly\n\nThis gem allows Rack based APIs to be set to read only. At the most basic\nit can be used like this from your `config.ru`:\n\n```ruby\nrequire 'rack/read_only'\n\nuse Rack::ReadOnly, {\n  active: ENV[\"READ_ONLY\"] == \"1\",\n  response_body: '{ \"error\": \"This API is currently in read only mode.\" }'\n}\nrun MyApp\n```\n\nWhen in read only mode the API will continue to respond to GET, HEAD, and\nOPTIONS requests as normal, but reject POST, PUT, DELETE, and PATCH requests\nwith the body specified, and a 503 error code.\n\n## Installation\n\nAdd this line to your application's Gemfile:\n\n```ruby\ngem 'rack-read_only'\n```\n\nAnd then execute:\n\n    $ bundle\n\nOr install it yourself as:\n\n    $ gem install rack-read_only\n\n## Development\n\nAfter checking out the repo, run `bin/setup` to install dependencies.\n\nTo install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release` to create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).\n\n## Contributing\n\n1. Fork it ( https://github.com/jellybob/rack-read_only/fork )\n2. Create your feature branch (`git checkout -b my-new-feature`)\n3. Commit your changes (`git commit -am 'Add some feature'`)\n4. Push to the branch (`git push origin my-new-feature`)\n5. Create a new Pull Request\n\nAny new builds should pass the tests on [Travis](https://travis-ci.org/jellybob/rack-read_only)\n".freeze
  s.email = ["jon@blankpad.net".freeze]
  s.homepage = "https://github.com/jellybob/rack-read_only".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Allows Rack based APIs to be set to read only.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<sinatra>.freeze, ["~> 1"])
    s.add_development_dependency(%q<rack-test>.freeze, ["~> 0.6"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<sinatra>.freeze, ["~> 1"])
    s.add_dependency(%q<rack-test>.freeze, ["~> 0.6"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
  end
end
